<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img class='bullet' src='".THEME."images/bullet.gif' alt='bullet.gif' />");
define("THEME_BULLET2", " <span class='bullet2'> | </span>");
define("THEME_WIDTH", "100%");
require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale;

        //Header
	echo "<table cellspacing='0' cellpadding='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td align='left'><img src='".THEME."/images/1.png' alt='1.png' /></td>";
	echo "<td class='sidess' valign='middle'  style='width:100%;'>\n".showbanners()."</td>";
	echo "<td align='right'><img src='".THEME."/images/2.png' alt='2.png' /></td>";
	echo "</tr>\n";
	echo "</table>\n";

	//Subheader
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center' id='main'>";
	echo "<tr>";
	echo "<td class='sub-header-left' align='left'></td>";
	echo "<td class='sub-header' align='left' valign='middle'>".showsublinks(" ".THEME_BULLET2." ", "white")."</td>";
	echo "<td class='sub-header' align='right' valign='middle'>".showsubdate()."</td>";
	echo "<td class='sub-header-right' align='right'></td>";
	echo "</tr>\n";
	echo "</table>\n";

	//Content
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='body-left'></td>";
        if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
        echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
        if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "<td class='body-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";

	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='footer-left'></td>";
	echo "<td align='center' valign='top' class='footer' style='padding-top:43px;'>".stripslashes($settings['footer'])."</td>";
	echo "<td class='footer-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0'  width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='body-left'></td>";
	echo "<td align='left' valign='middle' class='bottom-footer' style='padding: 10px 0 10px 20px;'>Theme <b>GeeFactor</b><br />Original design by <a href='http://www.xtrato.com' target='blank'>Xtrato</a><br />Modification made by <a href='http://php-fusion.openworld.dk/' target='blank'>Harly</a></td>";
	echo "<td class='bottom-footer' align='center' valign='middle'>";
	if (!$license) { echo "\n".showcopyright(); }
	echo "</td>\n";
	echo "<td align='right' valign='middle' class='bottom-footer' style='padding: 10px 20px 10px 0;'>".showcounter()."</td>";
	echo "<td class='body-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr>";
	echo "<td class='cborder-left'></td>";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "<td class='cborder-right'></td>";
	echo "</tr>\n<tr>\n";
	echo "<td class='cborder-left'></td>";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "<td class='cborder-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td  class='centerb-left' align='left'><img src='".THEME."/images/centerb-left.png' alt='centerb-left.png' /></td>";
	echo "<td class='centerb' align='center' style='width:100%;'></td>";
	echo "<td class='centerb-right' align='right'><img src='".THEME."/images/centerb-right.png' alt='centerb-right.png' /></td>";
	echo "</tr>\n";
	echo "</table>\n";

}


function render_article($subject, $article, $info) {

	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='cborder-left'></td>";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "<td class='cborder-right'></td>";
	echo "</tr>\n<tr>\n";
	echo "<td class='cborder-left'></td>";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n";
	echo "<td class='cborder-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td  class='centerb-left' align='left'><img src='".THEME."/images/centerb-left.png' alt='centerb-left.png' /></td>";
	echo "<td class='centerb' align='center' style='width:100%;'></td>";
	echo "<td class='centerb-right' align='right'><img src='".THEME."/images/centerb-right.png' alt='centerb-right.png' /></td>";
	echo "</tr>\n";
	echo "</table>\n";

}

function opentable($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td align='center' class='capmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='capmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='cborder-left'></td>";
	echo "<td class='main-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closetable() {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "<td class='cborder-right'></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td  class='centerb-left' align='left'><img src='".THEME."/images/centerb-left.png' alt='centerb-left.png' /></td>";
	echo "<td class='centerb' align='center' style='width:100%;'></td>";
	echo "<td class='centerb-right' align='right'><img src='".THEME."/images/centerb-right.png' alt='centerb-right.png' /></td>";
	echo "</tr>\n";
	echo "</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='scapmain-left'></td>";
	echo "<td align='center' class='scapmain'>$title</td>";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>";
	}
	echo "<td class='scapmain-right'></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='border-left'></td>";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "<td class='border-right'></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td align='left'><img src='".THEME."/images/sideb-left.png' alt='sideb-left.png' class='spacer' /></td>";
	echo "<td align='center' class='sideb' style='width:100%;'></td>";
	echo "<td align='right'><img src='".THEME."/images/sideb-right.png' alt='sideb-right.png' class='spacer' /></td>";
	echo "</tr>\n";
	echo "</table>\n";

}

?>